{ config, lib, pkgs, ... }:

{
  programs.nushell = {
    enable = true;
    shellAliases = {
      "em" = "emacsclient -n -r";
      "gtr" = "gtrash restore";
      "rmr" = "gtrash restore";
      "rm" = "gtrash put";
      "lg" = "lazygit";
    };
    configFile.source = ./config.nu;
    loginFile.text = ''
      ${pkgs.figlet}/bin/figlet -f ($env.HOME)/.local/share/flf/wavy.flf (hostname)
      '';
    environmentVariables = {
      ENV_CONVERSIONS.PATH = {
        from_string = lib.hm.nushell.mkNushellInline "{|s| $s | split row (char esep) }";
        to_string = lib.hm.nushell.mkNushellInline "{|v| $v | str join (char esep) }";
      };
    };
    settings = {
      show_banner = false;
    };
  };
}
